/**
 * @file
 * Defines Javascript behaviors for the web3_signer:metamask plugin form.
 */
(function (Drupal) {
  'use strict';

  /*
   * Scroll to an element on the documetn.
   */
  Drupal.AjaxCommands.prototype.walletUtilsScrollTo = function (ajax, response) {
    const element = document.querySelector(response.selector);
    if (!element) {
      return;
    }

    const rect = element.getBoundingClientRect();
    window.scrollTo({top: rect.top, left: rect.left, behavior: 'smooth'});
  };

})(Drupal);
